Skip to main content
GET
/
api
/
v1
/
auth
/
orders
/
pending
List pending orders
curl --request GET \
  --url https://crypto.westminister.tech/api/v1/auth/orders/pending
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "usdt_amount": "<string>",
    "fiat_amount": "<string>",
    "fiat_currency": "<string>",
    "wallet_address": "<string>",
    "status": "pending",
    "payment_method": "<string>",
    "payment_txn_id": {
      "String": "<string>",
      "Valid": true
    },
    "blockchain_txn_hash": {
      "String": "<string>",
      "Valid": true
    },
    "expires_at": "2023-11-07T05:31:56Z",
    "completed_at": {
      "Time": "2023-11-07T05:31:56Z",
      "Valid": true
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_at": {
      "Time": "2023-11-07T05:31:56Z",
      "Valid": true
    },
    "merchant_request_id": {
      "String": "<string>",
      "Valid": true
    },
    "checkout_request_id": {
      "String": "<string>",
      "Valid": true
    },
    "mpesa_receipt_number": {
      "String": "<string>",
      "Valid": true
    },
    "payment_phone_number": {
      "String": "<string>",
      "Valid": true
    },
    "order_type": "ON_RAMP_BUY",
    "escrow_wallet_address": {
      "String": "<string>",
      "Valid": true
    },
    "escrow_network": {
      "String": "<string>",
      "Valid": true
    },
    "escrow_reference": {
      "String": "<string>",
      "Valid": true
    },
    "deposit_tx_hash": {
      "String": "<string>",
      "Valid": true
    },
    "deposit_confirmations": 123,
    "deposit_detected_at": {
      "Time": "2023-11-07T05:31:56Z",
      "Valid": true
    },
    "rate": "<string>"
  }
]

Query Parameters

page_id
integer
required
Required range: x >= 1
page_size
integer
required
Required range: 1 <= x <= 100

Response

200 - application/json

Pending orders

id
string<uuid>
customer_id
string<uuid>
vendor_id
string<uuid>
offer_id
string<uuid>
usdt_amount
string
fiat_amount
string
fiat_currency
string
wallet_address
string
status
enum<string>
Available options:
pending,
processing,
confirming,
completed,
cancelled,
failed
payment_method
string

e.g., mpesa

payment_txn_id
object

Database-style nullable string wrapper

blockchain_txn_hash
object

Database-style nullable string wrapper

expires_at
string<date-time>
completed_at
object

Database-style nullable time wrapper

created_at
string<date-time>
updated_at
string<date-time>
deleted_at
object

Database-style nullable time wrapper

merchant_request_id
object

Database-style nullable string wrapper

checkout_request_id
object

Database-style nullable string wrapper

mpesa_receipt_number
object

Database-style nullable string wrapper

payment_phone_number
object

Database-style nullable string wrapper

order_type
enum<string>
Available options:
ON_RAMP_BUY,
ON_RAMP_SELL,
OFF_RAMP_BUY,
OFF_RAMP_SELL
escrow_wallet_address
object

Database-style nullable string wrapper

escrow_network
object

Database-style nullable string wrapper

escrow_reference
object

Database-style nullable string wrapper

deposit_tx_hash
object

Database-style nullable string wrapper

deposit_confirmations
integer
deposit_detected_at
object

Database-style nullable time wrapper

rate
string

Exchange rate (KES per USDT) applied to this order, copied from the linked offer at the time the order was created.